JSharp Runtime 2.0 could not be installed

Hi 
I´ve been trying to install delphi 2010 on a windows 2003 server x64 edition with service pack 2.
I already have delphi 2007 installed on this server.

First when the installation process starts I get the message "Your system lacks the following prerequisites required to install Embarcadero RAD studio 2010.  Microsoft JSharp Runtime 2.0"  
Then I continue the wizard and install J#.  But I get an error after a little while saying "JSharp Runtime 2.0 could not be installed.  Please use Windows Update to manually install this update on your system.  Embarcadero RAD studio setup 2010 cannot continue.
When this error happens, the installer is executing "C:\windows\Microsoft.NET\Framework\v2.0.50727\ngen.exe update / queue"

I have installed all the windows update available but that does not help me.

Does anybody have any solutions for me?
0
Brynjar
10/7/2009 10:59:44 AM
embarcadero.delphi.install 1244 articles. 0 followers. Follow

9 Replies
7795 Views

Similar Articles

[PageSpeed] 0

On Wed, 7 Oct 2009 03:59:44 -0700, Brynjar Tryggvason wrote:

> I have installed all the windows update available but that does not
> help me. 

Try downloading the J# runtimes from MS and installing them manually.

http://msdn.microsoft.com/en-us/vjsharp/bb188598.aspx

-- 
Marc Rohloff [TeamB]
marc -at- marc rohloff -dot- com
-1
Marc
10/7/2009 1:08:42 PM
I´ve tried that.  First I uninstalled all my .NET redistributable packages and all the J# redistributable packages.

Then I downloaded +Microsoft .NET Framework Version 2.0 Redistributable Package (x64)+ and +Visual J# 2.0 Redistributable Package-Second Edition (x64)+ packages and installed them manually.

When I started the delphi setup, I still got the message that I needed to install Microsoft JSharp Runtime 2.0.  

Any more ideas?
1
Brynjar
10/7/2009 3:00:04 PM
> {quote:title=Brynjar Tryggvason wrote:}{quote}
> I´ve tried that.  First I uninstalled all my .NET redistributable packages and all the J# redistributable packages.
> 
> Then I downloaded +Microsoft .NET Framework Version 2.0 Redistributable Package (x64)+ and +Visual J# 2.0 Redistributable Package-Second Edition (x64)+ packages and installed them manually.
> 
> When I started the delphi setup, I still got the message that I needed to install Microsoft JSharp Runtime 2.0.  
> 
> Any more ideas?


You will need to install the x86 version of the .Net 2.0 framework and the J# 2.0 runtime.
0
Nate
10/7/2009 6:44:16 PM
I have solved this problem.

All I had to do was to right click on the setup.exe file, and run as administrator.

The user I used to try this before had a full administrative rights, but that was not enough.
0
Brynjar
10/15/2009 10:40:17 AM
> {quote:title=Brynjar Tryggvason wrote:}{quote}
> I have solved this problem.
> 
> All I had to do was to right click on the setup.exe file, and run as administrator.
> 
> The user I used to try this before had a full administrative rights, but that was not enough.

Brynjar, I have the same problem, however your solution didn't work for me.  I have an x64 Windows 2003 server with Service pack 2.
I have managed to get the SDK installed, so the only thing remaining is the JSharp Runtime.  The runtime seems to be installed already, though, so I would like a way of tricking the system into accepting the installation.   As I understand it, J# runtime is used for Together which I don't use much anyway.  Did you come across others suggestions that worked for somebody else?

Also, the exe you are referring to, is that the CodeGearRADStudio2007setup.exe, or a separate install for the JSharp runtime (which seems to be called vjredist64.exe here).

Magne
0
Magne
2/11/2010 8:34:55 PM
> {quote:title=Magne Rekdal wrote:}{quote}
> > {quote:title=Brynjar Tryggvason wrote:}{quote}
> > I have solved this problem.
> > 
> > All I had to do was to right click on the setup.exe file, and run as administrator.
> > 
> > The user I used to try this before had a full administrative rights, but that was not enough.
> 
> Brynjar, I have the same problem, however your solution didn't work for me.  I have an x64 Windows 2003 server with Service pack 2.
> I have managed to get the SDK installed, so the only thing remaining is the JSharp Runtime.  The runtime seems to be installed already, though, so I would like a way of tricking the system into accepting the installation.   As I understand it, J# runtime is used for Together which I don't use much anyway.  Did you come across others suggestions that worked for somebody else?
> 
> Also, the exe you are referring to, is that the CodeGearRADStudio2007setup.exe, or a separate install for the JSharp runtime (which seems to be called vjredist64.exe here).
> 
> Magne

I've just run into this problem installing Delphi XE on a 2008 R2 Enterprise 64-bit system.  Seems the solution mentioned here (the symbolic link) fixed it right up.

https://forums.embarcadero.com/thread.jspa?threadID=15622


Andrew.
0
Andrew
10/14/2010 12:56:10 AM
I ran this .NET clean-up tool and it worked wonders.

http://blogs.msdn.com/b/astebner/archive/2008/08/28/8904493.aspx
0
John
11/30/2011 11:58:36 PM
Hi All.

I only test on Windows 2003 Terminal Server.

Go to Control Panel and add/del programs and select Jsharp.

Select the option restore, don´t close it and run again the embardero install.

It´s very crazy but work.


> {quote:title=Brynjar Tryggvason wrote:}{quote}
> Hi 
> I´ve been trying to install delphi 2010 on a windows 2003 server x64 edition with service pack 2.
> I already have delphi 2007 installed on this server.
> 
> First when the installation process starts I get the message "Your system lacks the following prerequisites required to install Embarcadero RAD studio 2010.  Microsoft JSharp Runtime 2.0"  
> Then I continue the wizard and install J#.  But I get an error after a little while saying "JSharp Runtime 2.0 could not be installed.  Please use Windows Update to manually install this update on your system.  Embarcadero RAD studio setup 2010 cannot continue.
> When this error happens, the installer is executing "C:\windows\Microsoft.NET\Framework\v2.0.50727\ngen.exe update / queue"
> 
> I have installed all the windows update available but that does not help me.
> 
> Does anybody have any solutions for me?
1
Marcelo
12/2/2011 12:52:05 PM
This solution worked for me installing XE2 on 2008 64 Bit Terminal Server. Thank you for posting it!

> {quote:title=Marcelo Negrini wrote:}{quote}
> Hi All.
> 
> I only test on Windows 2003 Terminal Server.
> 
> Go to Control Panel and add/del programs and select Jsharp.
> 
> Select the option restore, don´t close it and run again the embardero install.
> 
> It´s very crazy but work.
> 
> 
> > {quote:title=Brynjar Tryggvason wrote:}{quote}
> > Hi 
> > I´ve been trying to install delphi 2010 on a windows 2003 server x64 edition with service pack 2.
> > I already have delphi 2007 installed on this server.
> > 
> > First when the installation process starts I get the message "Your system lacks the following prerequisites required to install Embarcadero RAD studio 2010.  Microsoft JSharp Runtime 2.0"  
> > Then I continue the wizard and install J#.  But I get an error after a little while saying "JSharp Runtime 2.0 could not be installed.  Please use Windows Update to manually install this update on your system.  Embarcadero RAD studio setup 2010 cannot continue.
> > When this error happens, the installer is executing "C:\windows\Microsoft.NET\Framework\v2.0.50727\ngen.exe update / queue"
> > 
> > I have installed all the windows update available but that does not help me.
> > 
> > Does anybody have any solutions for me?
0
Hassan
1/31/2012 10:58:59 PM
Reply:

Similar Artilces:

Emergency! I just installed the automatic installation of 2.0.0.8 (up from 2.0.0.7) and now FF w
Name: Steve Johnson Product: Firefox Summary: Emergency! I just installed the automatic installation of 2.0.0.8 (up from 2.0.0.7) and now FF w Comments: I just installed the automatic installation of 2.0.0.8 (up from 2.0.0.7) and now FF won't start at all! I was using it, all was well, the box appeared saying I should upgrade to fix security yada yada, I clicked ok, and now all is kaput. Specifically, when I try to run FF, the cursor returns, but no process is launched. Not sure how to even debug this! Was this update a trojan? Now I am totally dead in the water!...

Adware tried to install the instant I installed the FF 2.0.0.2 update
Name: Dylan McBride Email: vituloratgmaildotcom Product: Firefox Summary: Adware tried to install the instant I installed the FF 2.0.0.2 update Comments: Can someone explain to me why the very instant I installed the update for Firefox browser, to version 2.0.0.2 Webroot Spy Sweeper popped open showing it prevented an Adware from 180 Assistant/Zango? I am NOT impressed. I hope you are not using ADWARE in your browser. Browser Details: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.2) Gecko/20070219 Firefox/2.0.0.2 ...

10.0.2 installed, still asks to install 10.0.2 update
I installed the 10.0.2 update about ten days ago and it is verified on the About page. However, I get numerous daily reminders to install the 10.0.2 update. So I checked "never check for updates" but that apparently isn't working either because I'm getting all of the reminders. So what's my only option: uninstall and then reinstall? I'm a bit leery of doing that: everything else seems to be functioning properly. However, when I previously installed the 10.0.1 update, numerous things were broken on my Win7 system and I had to revert to a restore poi...

Tomcat installation failing during iManager 2.0.2 install
I'm trying to install iManager with default Tomcat server, the Tomcat installation fails with following error Unhandled Exception c0000005 access violation at address 500bf974 I was able to install iManager successfully on couple of other pcs. Thx Hi, I think you may have some faulty ram ..... John >>> <deepakg@interrait.com> 03/12/2004 >>> I'm trying to install iManager with default Tomcat server, the Tomcat installation fails with following error Unhandled Exception c0000005 access violation at address 500bf974 I was able to in...

can i move all device files from one 11.0.2 installation to another 11.0.2 installation with their server.cfg files ?
are there any problems n doing this ? ...

Just after Firefox 2.0.0.2 installed itself this morning, my printers are blown away. Can't install as my spoolers are preventing any action.
Name: Ron Mayer Email: neymetalsaterolsdotcom Product: Firefox Summary: Just after Firefox 2.0.0.2 installed itself this morning, my printers are blown away. Can't install as my spoolers are preventing any action. Comments: Error signature szAppName : spoolsv.exe szAppVer : 5.1.2600.2696 szModName:SR32DLL szModver: 6.1.520.1 offset:0002e888 Browser Details: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.2) Gecko/20070219 Firefox/2.0.0.2 ...

2.0.0.2 does not install for me..
Name: Bob Gustafson Email: bobgusatrcndotcom Product: Firefox Summary: 2.0.0.2 does not install for me.. Comments: I think you need to expand on the installation procedures in your release notes. There is no command listed. ./firefox just pops up the first page of the old firefox, and ./firefox-bin says something about missing lib[moz].so Browser Details: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.9) Gecko/20070209 Fedora/1.5.0.9-3.fc6 Firefox/1.5.0.9 pango-text ...

SSL disabled (?) after install of 2.0.0.6 AND 2.0.0.9
Name: David L. Mohn Email: ultramohnatgmaildotcom Product: Firefox Summary: SSL disabled (?) after install of 2.0.0.6 AND 2.0.0.9 Comments: I've been using FF 2.0 on a Chinese Win 98se system for some time. Last month, I decided to upgrade to 2.0.0.6. After installing and reopening, I received this related message saying that there was difficulty with the security options and that SSL had been disabled. After checking SSL settings and finding that they were actually NOT disabled, I checked Mozillazine forums and tried my best to fix the prob. No such luck. I return...

Unable to use SQL Server because ASP.NET version 2.0 Session State is not installed on the SQL server. Please install ASP.NET Session State SQL Server version 2.0 or above.
Can anybody point me in the direction of how to resolve this error, Unable to use SQL Server because ASP.NET version 2.0 Session State is not installed on the SQL server. Please install ASP.NET Session State SQL Server version 2.0 or above. I am running Visusl Studio 2005, SQL Server 2005 Standard, running on WIndows XP Pro. I am trying to use SQL for session state management. I originally ran the following code from the command line prompt, aspnet_regsql.exe -E -ssadd -sstype p This created an ASPState database. I then manually added my default ASP.NET login as a user. In my web.confi...

With the installation of either Firefox 3.0.2 or 3.0.3 all safed passwords disappear, but reappear with installation of v3.0.1
Name: Simon Riniker Email: simondotrinikeratgmaildotcom Product: Firefox Summary: With the installation of either Firefox 3.0.2 or 3.0.3 all safed passwords disappear, but reappear with installation of v3.0.1 Comments: Strangely, versions 3.0.2 and 3.0.3 manage to hide all the passwords safed with the password manager, and although the do not disappear completely (they reappear with the re-installation of version 3.0.1), they're not entered on the web pages. Thanks! Browser Details: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.6) Gecko/20070802 SeaMonkey/...

Seems to be installing version 2.0.0.10 and then 2.0.0.11 and back again
Name: Randy Sly Email: randydotslyatgd-aisdotcom Product: Firefox Summary: Seems to be installing version 2.0.0.10 and then 2.0.0.11 and back again Comments: Something is mixed up with the auto updating. Almost every day when I start up Firefox, after a few minutes, it asks me to allow it to restart to load a new version. I have watched it update back and forth between 20.0.0.10 and 2.0.0.11 almost every other day. Any idea what is causing this? Thanks, Randy Browser Details: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.10) Gecko/20071115 Firefox/2.0.0....

upgrade from 4.0.1 install version to 4.0.2 install version, how?
Hi, I have a workable, clean 4.0.1 installed version of DNN running and am trying to upgrade to 4.0.2. i tried to follow the instruction on the documentation unzip the DNN_402_Install and put in corresponding directory in 4.0.1's website, run up the website and upgrade it. but it keeps hung up on the upgrade screen and going nowhere.  what files exactly should i extract and place in where, any special commands for running this upgrade? thank you very much in advance.  ...

Firefox 2.0.0.10 closes automatically to install update to 2.0.0.11
Hi, who on earth implemented this stupid thing that Firefox 2.0.0.10 closes automatically without any warning to install an update to 2.0.0.11. I might appreciate an automatic update feature but I hate that an update is done without any user pre-warning. I can not accept that Firefox shutdowns itself to install an update. I was just accessing my mailbox to write an email and this was gone due to the unexpected shutdown. Please avoid such stupid things in future! Stefan On 8/12/2007 12:25, sw.nospam@gmx.net wrote: > Hi, > > who on earth implemented this stupi...

Installing Firefox V. 2.0.0.4 (over 2.0.0.3) has disabled Skype
Name: Norman MacLeod Email: norshmacattalktalkdotnet Product: Firefox Summary: Installing Firefox V. 2.0.0.4 (over 2.0.0.3) has disabled Skype Comments: I used Skype successfully before installing the 2.0.0.4 update. After that Skype (V 2.0.0.6) booted up but would not function. None of the contact icons light up and if you do try to make contact, "Misc Error" appears. Is there a cure or have I to uninstall Firefox? Browser Details: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.8.1.4) Gecko/20070515 Firefox/2.0.0.4 ...

Installed 2.0.0.8, then it automatically "upgraded" itself to 2.0.0.6!!!
Name: Filip Giesz Email: filipgatrepairfaqdotorg Product: Firefox Summary: Installed 2.0.0.8, then it automatically "upgraded" itself to 2.0.0.6!!! Comments: I can send you details and gifs of the About dialog and the Update dialog. Bizarre. I'll be shutting the autoupdate in 2.0.0.8 OFF... ...

2.0.0.18 and 2.0.0.19 hang on my vista 64 bit installation
Hi all, I'm trying to migrate from Eudora to Thunderbird under Vista 64 and am having a rough time. Installation of 2.0.0.18 (same for 2.0.0.19) goes fine, but then the Thunderbird application just hangs (spinning donut) without so much as displaying a window. Any idea what might be going on? I believe there was an installation of 2.0.0.14 on this machine that I just installed over. Maybe there are left over files? I'm not really a Windows guy so I don't even know where to start on troubleshooting this! Thanks much in advance, Doug mckeedm@gmail.com said the ...

installing Firefox 2.0.0.2
Name: Alessandra Email: auroredotalessandraatyahoo.fr Product: Firefox Summary: installing Firefox 2.0.0.2 Comments: Hello, I've been trying to install the new version of Firefox and it seems to work but every time I start Firefox again, a pop up advise me to download this new version... So how the hell does it work ? Is there any trick or what ? Browser Details: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.1) Gecko/20061204 Firefox/2.0.0.2 ...

Update 2.0.0.16 does not install #2
Name: Alfred Pavia Email: jap48attpgdotcomdotau Product: Thunderbird Summary: Update 2.0.0.16 does not install Comments: When i try and update my thunderbird it downloads the update fine, but then half way through the installation it says could not complete update please close all other applications.....but i am only running thunderbird, there are no other programs open! Browser Details: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.0.2) Gecko/2008091620 Firefox/3.0.2 From URL: http://hendrix.mozilla.org/ Note to readers: Hendrix gives no expectation of a resp...

failed install of 2.0.0.2 version
Name: Igor Popov Email: igor_popovathotmaildotcom Product: Firefox Summary: failed install of 2.0.0.2 version Comments: Installation asked to quit firefox, which had not been not run. I confirmed several times but auto close failed. Browser Details: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.1) Gecko/20061204 Firefox/2.0.0.1 ...

GAC Installation using Windows Installer 2.0
I have read lot of documents like http://msdn.microsoft.com/en-us/library/dkkx7f79.aspxwhich states to use the Windows Installer 2.0 and above to install the dll in GAC. But the samples they have only mention how to use the gacutil, is there any documentation on how to use the Windows Installer 2.0 or above for the dll to install in GAC? Thanks    Hi, From your description, I understand that you want to use installer to insert assembly in GAC on target machine, right? If so, to deploy an assembly to the target computer GAC with Setup project, we can drag the assemblies to Glo...

How can I make a installation package for my ASP.NET 2.0 website just like Community Server 2.1 installer?
The Community Server 2.1 installation package can create web virtual folder,and can configure virtual folder as an application,and can set permissions for folder, and can create SQL 2005 DB, and can create username and password for the DB, could you tell me what utility can do that? Many Thanks!SuperCool Multiple ZIP - A utility to unzip multiple files and work with multiple zip filesSuperCool Random Number Generator Visual Studio 2005 supports Web Setup project which can create installation package. You can also using other Installation tools like InstallShield, etc. to do so.   C...

Installation of 2.0.0.6 fails with "You don't have sufficient disk space to install in this location"
The installation requires 24MB and I have 174.7GB according to the Mozilla Thunderbird Setup screen, which is correct. I am running Vista Business. Any idea what can be causing this or how to work around it? Thanks freymos@hotmail.com schrieb: > The installation requires 24MB and I have 174.7GB according to the > Mozilla Thunderbird Setup screen, which is correct. I am running > Vista Business. Any idea what can be causing this or how to work > around it? > > Thanks > Maybe you have no admin rights for the installation. Or there is some general pr...

imanager 2.0.2 installed but showing 1.2.2
I just installed imanager 2.0.2 but when i visit https://xxx.xxx.xxx.xxx:2200 i dont see anything in web manager. when i got to https://xxx.xxx.xxx.xxx i get the web manager and i click on "open imanager" i get redirected to imanager but it is version 1.2.2???? what is the path to my new install? netware 6 sp4 imanager 2.0.2 edir 8.7.1 :( rdixon@wvbep.org, iManager 2.x uses a different URL than iManager 1.x The URL for 2.x is https://<server_ip_address>/nps/iManager.html -- //Niclas Ekstedt ____________________________________ Niclas Eksted...

Installed VS.NET 2002. That installed 1.0, but I HAD 1.1 installed. How to remove 1.0?
I haven't seen this anywhere, so I figured I would add it here. First of all, it is incorrect to recommend to anyone that who has VS.NET 2002 to do ANYTHING but first install VS.NET 2002. The installl order for VS.NET 2002 and .Net Framwork 1.1 SHOULD BE: 0. Install ALL windows updates for your pc EXCEPT FOR .NET Framwork 1.1 1. Install VS.NET 2002 2. Install MSDE that comes w/VS.NET 2002 (USE A NAMED INSTANCE! Never usee the default instance) 2. Install MDAC 2.8 3. Install .Net Framework 1.1 4. SOMEHOW GET RID OF .NET Framework and get VS.NET and IIS 5.x to work w...

Web resources about - JSharp Runtime 2.0 could not be installed - embarcadero.delphi.install

Pre-installed software - Wikipedia, the free encyclopedia
Bundled software is another name for pre-installed software, as pre-installed are all bundled with a hardware device of some kind. However, bundled ...

REPORT: Facebook Home Can Be Installed On All Android Devices Running 4.0 And Up
The good news: Facebook Home can now be run on all Android devices running version 4.0 of the mobile operating system or higher, even if they ...

HTC reveals HTC First, an Android smartphone pre-installed with Facebook Home
HTC today revealed the HTC First, the first Android smartphone that comes with Facebook Home pre-installed on the device. With Facebook Home ...

Introducing installed app category targeting: a new way to target users and gain insights into mobile ...
We’re excited to introduce installed app category targeting: a new tool that enables app advertisers to reach users based on the categories of ...

CPU fan installed - Flickr - Photo Sharing!
Explore Garrette's photos on Flickr. Garrette has uploaded 3652 photos to Flickr.

Gay-friendly traffic lights installed in Vienna - YouTube
Keep up-to-date with the latest news, subscribe here: http://bit.ly/AFP-subscribe Several pedestrian crossings in Vienna are showing symbols ...

Chris Gayle posts photos of strip club installed in his own house
... his party lifestyle off the cricket field, but the West Indian has gone to a whole new level by showing off the new "strip club" he has installed ...

Cameras installed on hull of ISS (00:59)
RAW VIDEO: Russian cosmonauts perform a spacewalk to install photographic and scientific equipment on the hull of the International Space Station. ...

Where in the US is solar installed?
New data shows that Californians' penchant for photovoltaics has them leading in pipeline capacity by a factor of five, while Nevada's love of ...

Giant Gollum installed at airport ahead of Hobbit film
A 12 metre-long sculpture carved using robotics and chainsaws has been installed at Wellington Airport ahead of The Hobbit premiere.

Resources last updated: 2/16/2016 10:48:01 PM